Bug 817020 - numad: variable '-i' can't work fine
numad: variable '-i' can't work fine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: numad (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bill Gray
Zhouping Liu
: Patch
: 818462 (view as bug list)
Depends On:
Blocks: 818462
  Show dependency treegraph
 
Reported: 2012-04-27 08:58 EDT by Zhouping Liu
Modified: 2014-01-12 19:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 818462 (view as bug list)
Environment:
Last Closed: 2013-07-23 12:31:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed '-i' option (1.52 KB, patch)
2012-04-27 09:01 EDT, Zhouping Liu
no flags Details | Diff

  None (edit)
Description Zhouping Liu 2012-04-27 08:58:51 EDT
Description of problem:
Depend on numad source code, I know -i options:
...
numad_log(LOG_NOTICE, "Changing interval to %d:%d\n", msg.body.arg1, msg.body.arg2);
min_interval = msg.body.arg1;
max_interval = msg.body.arg2;
...
which said msg.body.arg1 is max_interval, msg.body.arg2 is min_interval

but if I set msg.body.arg1 > msg.body.arg2, it still set msg.body.arg1 to min_interval, which caused min_interval > max_interval.

and I have tested it in my box, when I did '# numad -i 10:1',
the log file</var/log/numad.log> show:
Wed Apr 25 15:16:43 2012: Changing interval to 10:1
then the log updated each 1 second, but we expect not 1 second.
and the log should be:
Wed Apr 25 15:16:43 2012: Changing interval to 1:10
                                               ^^^^
maybe the attached patch can fix it.
Comment 1 Zhouping Liu 2012-04-27 09:01:42 EDT
Created attachment 580765 [details]
fixed '-i' option
Comment 2 Bill Gray 2012-05-02 13:30:58 EDT
I will fix this by enforcing (max >= min), and also fixing man page: it should show min as optional, e.g. -i [min:]max

Thanks for entering the bug report!
Comment 3 Bill Gray 2012-05-03 14:50:04 EDT
*** Bug 818462 has been marked as a duplicate of this bug. ***
Comment 4 Bill Gray 2012-05-23 15:44:17 EDT
Thanks for entering this bug report.  This is expected to be fixed in a version pushed upstream (and into Fedora 17?) today (20120523).
Comment 5 Jan Synacek 2012-05-24 00:59:18 EDT
New version in F17 should be available in about a week.
Comment 6 Fedora End Of Life 2013-07-04 03:41:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Bill Gray 2013-07-23 12:31:20 EDT
Closing: this issue has been fixed and shipped...

Note You need to log in before you can comment on or make changes to this bug.